#pragma once
#include <string>
#include <vector>

class GetbinClient {
public:
    GetbinClient();
    bool download(const std::string& toolName, const std::string& arch, const std::string& outPath);
    bool upload(const std::string& archivePath, std::string& outUrl, std::string& outHash, const std::string& token);
    bool getHash(const std::string& toolName, const std::string& arch, std::string& outHash);
    bool deleteObject(const std::string& hash, const std::string& token);
    bool listPackages(std::vector<std::string>& outPackages);
}; 